Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating a broadcast.

name
string
required

Human-readable name.

channel
enum<string>
required

The single delivery channel for this broadcast.

Available options:
email,
sms,
push,
inbox,
slack,
msteams

Response

Created

A broadcast — a single-channel message delivered to a known set of recipients (a list or audience).

id
string
required

The broadcast ID (bst_ prefix).

name
string
required

Human-readable name.

channel
enum<string>
required

The broadcast's delivery channel.

Available options:
email,
sms,
push,
inbox,
slack,
msteams
status
enum<string>
required

Lifecycle status of the broadcast.

Available options:
draft,
scheduled,
sending,
sent
created_at
string
required

ISO 8601 timestamp when the broadcast was created.

updated_at
string
required

ISO 8601 timestamp of the last update.

created_by
string
required

Actor that created the broadcast.

updated_by
string
required

Actor that last updated the broadcast.

schedule
BroadcastSchedule · object | null

The broadcast's schedule, or null while it is an unscheduled draft.

archived_at
string | null

ISO 8601 timestamp when the broadcast was archived, if archived.

archived_by
string | null

Actor that archived the broadcast, if archived.